Package org.eclipse.m2m.atl.adt.ui.common

## Class RegisteredPackageDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.dialogs.SelectionStatusDialog
          - - org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
            - - org.eclipse.ui.dialogs.ElementListSelectionDialog
              - - org.eclipse.m2m.atl.adt.ui.common.RegisteredPackageDialog

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`

    public class RegisteredPackageDialog
    extends org.eclipse.ui.dialogs.ElementListSelectionDialog

This dialog displays registered packages.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog

`fFilteredList`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`RegisteredPackageDialog​(org.eclipse.swt.widgets.Shell parent)` Creates the dialogs.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Control` `createDialogArea​(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getResultAsString()` Returns the uri result as a String.
`boolean` `isDevelopmentTimeVersion()`
`boolean` `isRuntimeOnly()`
`void` `setRuntimeOnly​(boolean value)`

### Methods inherited from class org.eclipse.ui.dialogs.ElementListSelectionDialog

`computeResult, setElements`

### Methods inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog

`cancelPressed, create, createFilteredList, createFilterText, createMessageArea, getFilter, getFoldedElements, getSelectedElements, getSelectionIndex, getSelectionIndices, getValidator, handleDefaultSelected, handleElementsChanged, handleEmptyList, handleSelectionChanged, isCaseIgnored, open, setAllowDuplicates, setEmptyListMessage, setEmptySelectionMessage, setFilter, setIgnoreCase, setListElements, setMatchEmptyString, setMultipleSelection, setSelection, setSize, setValidator, updateOkState, validateCurrentSelection`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog

`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createButtonsForButtonBar, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegisteredPackageDialog

    public RegisteredPackageDialog​(org.eclipse.swt.widgets.Shell parent)

Creates the dialogs.

Parameters:
  `parent` - the parent shell

### Method Detail

#### getResultAsString

    public java.lang.String getResultAsString()

Returns the uri result as a String.

Returns:
  the uri result as a String

#### isDevelopmentTimeVersion

    public boolean isDevelopmentTimeVersion()

#### createDialogArea

    protected org.eclipse.swt.widgets.Control createDialogArea​(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createDialogArea` in class `org.eclipse.ui.dialogs.ElementListSelectionDialog`
See Also:
  `ElementListSelectionDialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

#### setRuntimeOnly

    public void setRuntimeOnly​(boolean value)

#### isRuntimeOnly

    public boolean isRuntimeOnly()